       IDENTIFICATION DIVISION.
       PROGRAM-ID. TCPYFILE.
       DATE-COMPILED.
      * ------------------------: GS General-purpose Test Program.
      * 			: Use to test any GUI ScreenIO panel...
      *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
       ENVIRONMENT DIVISION.
      *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IBM-PC.
       OBJECT-COMPUTER. IBM-PC.
      *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
       DATA DIVISION.
      *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
       WORKING-STORAGE SECTION.
       01  V--VERSION-LEVEL		    PIC 9(3) VALUE 5.
      *
      * ------------------------: Copy a main panel (any will do)
	       COPY mymain.
      *
      * ------------------------: Copy the panel to be tested below.
	       COPY API-CF.
      *
	       COPY WIN32API.
	       COPY COPYFILE.
      *
      *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
       PROCEDURE DIVISION.
      *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
      *
	   PERFORM 0101-INITIALIZE-GS.
      *
      * ------------------------: Display the test panel.
      *
	   PERFORM WITH TEST AFTER
		 UNTIL API-CF-EVENT-CLOSE-WINDOW
		 OR API-CF-EVENT-CLOSE-AND-STOP
      *
	     CALL 'GS' USING API-CF-1
			     API-CF-2
			     API-CF-3
			     API-CF-4
      *
	     MOVE CF-SOURCE-FILE TO CF-SOURCE
	     MOVE CF-DESTINATION-FILE TO CF-DESTINATION
      *
      * ------------------------: Call the API to obtain the OS version.
      *
	     SET API-COPYFILE TO TRUE
	     SET CF-IF-EXIST-REPLACE TO TRUE
      *
	     CALL 'GS_WINAPI' USING WIN32API-PARMS
				    CF-SOURCE
				    CF-DESTINATION
				    CF-FLAGS
				    WIN32API-D
				    WIN32API-E
				    WIN32API-F
      *
      * ------------------------: If function failed,
      * 			:   display a textual error message.
      *
	     IF WIN32API-FAILED
	       MOVE WIN32API-ERROR-TEXT TO API-CF-MESSAGE-TEXT
	       SET API-CF-MESSAGE-BAR-BEEP TO TRUE
	     ELSE
	       MOVE 'File copied successfully!' TO API-CF-MESSAGE-TEXT
	       SET API-CF-MESSAGE-BAR-BEEP TO TRUE
	     END-IF
      *
	   END-PERFORM.
      *
      * ------------------------: Close the main before doing a STOP RUN
      *
	   SET mymain-DO-CLOSE TO TRUE.
	   CALL 'GS' USING mymain-1
			   mymain-2
			   mymain-3
			   mymain-4.
	   STOP RUN.
      *%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
       0100-GS-UTILITY SECTION.
      *
       0101-INITIALIZE-GS.
      * 			:---------------------------------------
      * ------------------------: Open the application window (the
      * 			: container for this application)
      * 			:---------------------------------------
      *
	   CALL 'GS' USING mymain-1
			   mymain-2
			   mymain-3
			   mymain-4.
